/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */
#include "match.h"

void pokerMatchInit(poker_t *poker, engine_t *engine) {
  uint8_t x;

  // Reset the main game state. This does not init the round.
  pokerBetInit(&poker->bet);
  poker->roundDealer = POKER_PLAYER_COUNT-2;
  poker->round = POKER_ROUND_MATCH;

  for(x = 0; x < POKER_PLAYER_COUNT; x++) {
    poker->players[x].state = 0x00;
    poker->players[x].chips = POKER_BET_PLAYER_CHIPS_DEFAULT;
  }
  printf("Match Start\n");
  pokerStartInit(poker);
}

void pokerMatchUpdate(poker_t *poker, engine_t *engine) {
}